mscorlib 2.0.0.0 4.0.0.0 System.Text.DecoderFallbackBuffer

It might not be possible to convert an encoded byte sequence to an equivalent character if no suitable decoding exists. A common reason for a decoding to fail is that the conversion operation uses a code page that cannot represent the character to decode.

If the input byte sequence cannot be converted to an output character, a object provides a replacement string that is substituted for the output character. The replacement string initializes the value of the object, and the value of the object initializes the value of a object. The value of a object is called the replacement fallback buffer. The conversion operation uses the replacement fallback buffer to emit a replacement string instead of a decoded character, then continues to process the remainder of the input.

Represents a substitute output string that is emitted when the original input byte sequence cannot be decoded. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the value of a object.

  A object that contains a replacement string.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  The and methods call if they encounter an unknown input byte sequence that cannot be decoded. If the return value of is true, the calling method can invoke the method to obtain each character of the fallback buffer.

  Prepares the replacement fallback buffer to use the current replacement string.

  true if the replacement string is not empty; false if the replacement string is empty.

  An input byte sequence. This parameter is ignored unless an exception is thrown. The index position of the byte in . This parameter is ignored in this operation.
- Method
  2.0.0.0
  4.0.0.0
  System.Char

  The and methods call if they encounter an unknown surrogate pair or character in their input. If the return value of is true, the calling method can invoke to obtain each character of the replacement fallback buffer.

  Retrieves the next character in the replacement fallback buffer.

  The next character in the replacement fallback buffer.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  Causes the next call to to access the character position in the replacement fallback buffer prior to the current character position.

  true if the operation was successful; otherwise, false.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  The method returns true if the property is nonzero.

  Gets the number of characters in the replacement fallback buffer that remain to be processed.

- Method
  2.0.0.0
  4.0.0.0
  System.Void

  The method discards any persisted state information and data that govern the emitting of a replacement string. Unpredictable results occur if the decoding operation continues after the method is invoked.

  Initializes all internal state information and data in the object.